FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Animator Class Reference

`#include <animation.hpp>`

## Public Member Functions
| Animator (float *from, float to=0.f, Duration duration=std::chrono::milliseconds(250), easing::Function easing_function=easing::Linear, Duration delay=std::chrono::milliseconds(0))
void | OnAnimation (Params &)
float | to () const

## Detailed Description

Definition at line 100 of file animation.hpp.

## Constructor & Destructor Documentation

## ◆ Animator()

Animator | ( | float * | from,
|  | float | to = 0.f,
|  | Duration | duration = std::chrono::milliseconds(250),
|  | easing::Function | easing_function = easing::Linear,
|  | Duration | delay = std::chrono::milliseconds(0) )
| explicit

Definition at line 253 of file animation.cpp.

## Member Function Documentation

## ◆ OnAnimation()

void OnAnimation | ( | Params & | params | ) |

Definition at line 267 of file animation.cpp.

## ◆ to()

float to | ( |  | ) | const
| inline

Definition at line 110 of file animation.hpp.

The documentation for this class was generated from the following files:

- animation.hpp
- animation.cpp